function n(r) {
  return new Promise((t, a) => {
    r.ready ? t() : (r.on("status", (e) => {
      e === "ready" && t();
    }), r.on("error", (e) => {
      a(e);
    }));
  });
}
export {
  n as default
};
